#!/usr/bin/perl
# 
# Script to insert value into keyword.
# 
# Usage:
# insert.pl <type> <key> <value>
# 
# Example:
# cat sample.txt | ./insert.pl text VALUE 10

$type  = shift(@ARGV);
$key   = shift(@ARGV);
$value = shift(@ARGV);

while (<>) {
	$lines .= $_;
}

if ($type eq "file") {
	$value = `cat $value`;
}

$lines =~ s/\Q$key/$value/g;

print "$lines";
